ubuntu-desktop: Install gir1.2-gmenu-3.0 by default

Bug #1726093 reported by Jeremy Bicha on 2017-10-22
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubuntu-meta (Ubuntu)
Low
Unassigned
Artful
Undecided
Unassigned

Bug Description

Impact
======
Ubuntu doesn't install particular files ( gir1.2-gmenu-3.0 ) that are needed by several popular GNOME Shell extensions.

Test Case
=========
Install the update to Ubuntu 17.10.
Open the Ubuntu Software app.
Search for Arc Menu
Install it.
There should be an A menu in the top left of the screen.

Other Info
==========
Debian-based distros are somewhat unique in that they split gir files into separate packages. This is normally not a problem since .deb packages should simply depend on the packages they need. It is a bit of a problem for GNOME Shell extensions distributed through extensions.gnome.org since they can't depend on system packages except as a comment in the extension description that may or may be read even if it is mentioned.

Specifically, there are several extensions that add a traditional applications menu to GNOME Shell. These usually need gir1.2-gmenu-3.0.

This wasn't noticed much before because both Debian GNOME and Ubuntu GNOME installed the gnome-shell-extensions package by default which depends on gir1.2-gmenu-3.0.

Now though, it just feels to users like Ubuntu is broken. I've read comments that think that Ubuntu is intentionally trying to make it difficult to use these app menu extensions.

Approved at the Ubuntu Desktop meeting (discussion continues until 15:09)
https://irclogs.ubuntu.com/2017/10/24/%23ubuntu-desktop.html#t14:44

Jeremy Bicha (jbicha) on 2017-10-22
tags: added: gnome-17.10
Jeremy Bicha (jbicha) on 2017-10-24
Changed in ubuntu-meta (Ubuntu):
status: Triaged → In Progress
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.405

---------------
ubuntu-meta (1.405) bionic; urgency=medium

  * Refreshed dependencies
  * Added gir1.2-gmenu-3.0 to desktop-recommends (LP: #1726093)

 -- Jeremy Bicha <email address hidden> Fri, 27 Oct 2017 11:55:42 -0400

Changed in ubuntu-meta (Ubuntu):
status: In Progress → Fix Released

Hello Jeremy, or anyone else affected,

Accepted ubuntu-meta into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-meta/1.404.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-meta (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed verification-needed-artful
Jeremy Bicha (jbicha) wrote :

I installed ubuntu-desktop 1.404.1 on Ubuntu 17.10 and verified that gir1.2-gmenu-3.0 was installed. This enabled the Arc Menu to work as soon as I installed it.

tags: added: verification-done verification-done-artful
removed: verification-needed verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.404.1

---------------
ubuntu-meta (1.404.1) artful; urgency=medium

  * Refreshed dependencies
  * Added gir1.2-gmenu-3.0 to desktop-recommends LP: #1726093
  * Added s390-tools to server [s390x] LP: #1730647

 -- Dimitri John Ledkov <email address hidden> Tue, 07 Nov 2017 11:11:54 +0000

Changed in ubuntu-meta (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-meta has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers